
CONFIGDIR="${HOME}/.tausta.sh.dir/"

# Remove these three lines:
echo "${0}: You are so so stupid and lazy because you did not edit your" >&2
echo "${CONFIGDIR}tausta.rc.sh" >&2
print_error "${0}: You are so so stupid and lazy because you did not edit your ${CONFIGDIR}tausta.rc.sh"
exit 1


# Name of window manager process.
# In fact any process, that runs during your X-session and exits when
# you log out, suits here:

WM="enlightenment"
#WM="sawfish"

# Change this to 1 to enable debugging:
MY_DEBUG="0"
DEBUG_FILE="/tmp/${USER}.${PPID}.${$}.tausta.sh.debug.log"

# How many seconds between changing wallpapers?
# 1 h
INTERVAL="3600"
# 2 h
#INTERVAL="7200"
# How many seconds between checking?
CHECK_INTERVAL="60"

# These are good during debugging:
#INTERVAL="60"
#CHECK_INTERVAL="10"

# Paranoid sys admins may want to use option "nofifo" for mounting of
# partitions where home directories are located. It means it is not
# possible to create FIFO there.
#MY_FIFO="${CONFIGDIR}${USER}.${PPID}.${$}.taustafifo"
MY_FIFO="/tmp/${USER}.${PPID}.${$}.taustafifo"


############################################################################
# NOTE! THESE VARIABLES MUST BE EXPORTED:

# Directory where your wallpapers are:
export WALLPAPERDIR="/usr/local/share/textures/"

# Different image-loading commands

# Normal tiled
export NORMALTILEDCMD="xli -quiet -cdither -onroot"

# Center tiled:
export CENTERTILEDCMD="hsetroot -tile"

# Centered with black borders:
export CENTEREDCMDBLACK="xli -quiet -cdither -onroot -center -border black"
#export CENTEREDCMDBLACK="hsetroot -center"

# Centered with white borders:
#export CENTEREDCMDWHITE="xli -quiet -cdither -onroot -center -border white"
export CENTEREDCMDWHITE="hsetroot -solid '#ffffff' -center"

# Fullscreen (Keep aspect ratio and use black borders)
#FULLSCREENCMD="xli -quiet -cdither -onroot -fullscreen -border black -smooth"
#FULLSCREENCMDBLACK="xli -quiet -cdither -onroot -fullscreen -border black -smooth"
export FULLSCREENCMD="hsetroot -full "
export FULLSCREENCMDBLACK="hsetroot -full "

# Fullscreen (Keep aspect ratio and use white borders)
#FULLSCREENCMDWHITE="xli -quiet -cdither -onroot -fullscreen -border white -smooth"
FULLSCREENCMDWHITE="hsetroot -solid '#ffffff' -full"

# Fillscreen (Stretch image to fill whole screen)
export FILLSCREENCMD="hsetroot -fill"

# You can create even your own variables here...

# Exported environment variables end.
############################################################################

# You probably should not change these:
STATUS="${CONFIGDIR}tausta.status"
IMAGES="${CONFIGDIR}tausta.conf"
MYPID="${CONFIGDIR}tausta.pid"
HELPPIDFILE="${CONFIGDIR}help.pid"
WATCHERPIDFILE="${CONFIGDIR}watcher.pid"
WATCHERFILE="${CONFIGDIR}watcher"
LASTCOMMANDFILE="${CONFIGDIR}lastcommand"



